#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xEC,0x7E,0x8C,0x00,0xE3,0xF8,0xAC,0xF3,0xA2,0xBB,0x62,0xA8,
		0xA8,0x37,0x1E,0x0F,0x95,0x48,0xE9,0xC8,0x62,0x08,0x6D,0xE6,
		0x5A,0xFF,0x7D,0x15,0xDF,0x6A,0x21,0x5A,0x97,0x7F,0xB3,0x56,
		0x8A,0x01,0x6F,0xF9,0xA6,0xCC,0x4C,0xEF,0x69,0x93,0x7D,0x6B,
		0xEA,0xFF,0x4D,0xB4,0x88,0xC9,0x98,0xF3,0x57,0x63,0x9A,0xF5,
		0xDB,0x79,0x73,0xA3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
